Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Class MethodConfig

    java.lang.Object
      org.jboss.aop.metadata.MethodConfig

public class MethodConfig
extends Object

The combination of the method-permission, container-transaction

The method-permission element specifies that one or more security roles are allowed to invoke one or more enterprise bean methods. The method-permission element consists of an optional description, a list of security role names, or an indicator to specify that the methods are not to be checked for authorization, and a list of method elements. The security roles used in the method-permission element must be defined in the security-role element of the deployment descriptor, and the methods must be methods defined in the enterprise bean�s component and/or home interfaces.

Version:
  $Revision: 1.6 $
Author:
  Sebastien Alborini, Scott Stark.

Constructor Summary
`MethodConfig()`

Method Summary
`static String` | `getSignature(Class[] source)`
`static String` | `getSignature(javassist.CtClass[] source)`
`void` | `importXml(Element element)`
`boolean` | `patternMatches(javassist.CtMethod method)`
`boolean` | `patternMatches(Method method)`
`static String` | `toGenericString(Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodConfig

    public MethodConfig()

Method Detail

### patternMatches

    public boolean patternMatches(Method method)

### patternMatches

    public boolean patternMatches(javassist.CtMethod method)
                           throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### importXml

    public void importXml(Element element)
                   throws Exception

  Throws:
    `Exception`

### toGenericString

    public static String toGenericString(Method method)

### getSignature

    public static String getSignature(Class[] source)

### getSignature

    public static String getSignature(javassist.CtClass[] source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.